#!/bin/bash

cat > $ROOTFS_PATH/etc/network/interfaces << EOF

auto lo
iface lo inet loopback

auto usb0
    iface usb0 inet static
    address 192.168.114.50
    netmask 255.255.255.0
    gateway 192.168.114.51

auto wlan0
iface wlan0 inet dhcp
    pre-up wpa_supplicant -i wlan0 -c /overlay/etc/wpa_supplicant.conf -B
    wait-delay 15
    hostname \$\(hostname\)
    post-down killall -q wpa_supplicant
    
EOF
