# u-boot

## stdout->屏幕
CONFIG_SYS_CONSOLE_IS_IN_ENV=y
CONFIG_CONSOLE_MUX=y

## boot arg:
panic=5 rootwait root=/dev/mtdblock3 rw rootfstype=squashfs

## bootcmd:
sf probe 0 60000000; sf read 0x80c00000 0x70000 0x10000; sf read 0x80008000 0x80000 0x400000; bootz 0x80008000 - 0x80c00000

## Graphics

- x:480,y:272,depth:18,pclk_khz:10000,le:42,ri:8,up:11,lo:4,hs:1,vs:1,sync:3,vmode:0
- pwm pin: PE6

## Environment
Environment offset : 0x68000
Environment size: 0x8000

# buildroot
```
Target options
  -- Target Architecture (ARM (little endian))
  -- Target Variant arm926t
Toolchain
  -- C library (musl)
System configuration
  -- Use syslinks to /usr ....
  -- Enable root login
  -- Run a getty after boot
  -- remount root filesystem
  -- Install Timezone info
     -- timezone list (asia)
     -- default local time (Asia/Shanghai)
Target packages
  -- gawk    #(parse iw scan info)
  -- zlib (?)
  -- freetype
  -- jpeg support
  -- libonion
  -- libpthread-stubs
  -- ncurses (?)
  -- ifupdown scripts
  -- iw
  -- lrzsz  #(transfer file)
  -- wpa_supplicant
  -- mount/umount
  -- dialog #(wifish)
  -- rtl-firmware
```

## busybox

- ntpd
- udhcpd
- udhcpc

## SPI-layout

```
ID  SIZE    USAGE   ADDR
0   448kb   U-boot  0x0000 0000 - 0x0007 0000
1   64kb    dtb     0x0007 0000 - 0x0008 0000
2   4mb     kernel  0x0008 0000 - 0x0048 0000
3   7.5mb   rootfs  0x0048 0000 - 0x00c0 0000
3   4mb     overlay 0x00c0 0000 - 0x0100 0000   
```

## kernel

- staging/rtl8273bs
- usb/gadget
- jffs2, squashfs
- drivers/spi/A33(SUN6I_SPI)
- general->initramfs[]
- mtd/caching ... block


